using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wTemplate_Content_默认模板_Content_Aspx_11:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:30
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("查看内容","其它","查看内容",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();
	ID=Convert.ToInt32(Request.QueryString["ID"]);
	栏目页码=Convert.ToInt32(Request.QueryString["cpage"]);
	栏目排序=Convert.ToInt32(Request.QueryString["corder"]);
	是否余下全部=Convert.ToInt32(Request.QueryString["yx"]);
	一页显示记录=获取一页显示记录数();
	查询字段=获取查询字段();
	时间格式=获取时间格式();
	范围ID=获取范围ID();
	文章内容=获取文章内容();
	栏目ID=Convert.ToInt32(文章内容["所属栏目"]);
	当前页面=程序.安装位置+"Content.aspx";
	内容栏目=获取内容栏目();
	跳页表单项="<postfield name=\"ID\" value=\""+ID+"\" />"+
		"<postfield name=\"CID\" value=\""+栏目ID+"\" />"+
		"<postfield name=\"cpage\" value=\""+栏目页码+"\" />"+
		"<postfield name=\"corder\" value=\""+栏目排序+"\" />"+
		"<postfield name=\""+程序.设置["标识名称"]+
		"\" value=\""+访问.用户["标识"]+"\" />";
	_3G跳页表单项="<input type=\"hidden\" name=\"ID\" value=\""+ID+"\" />"+
		"<input type=\"hidden\" name=\"CID\" value=\""+栏目ID+"\" />"+
		"<input type=\"hidden\" name=\"cpage\" value=\""+栏目页码+"\" />"+
		"<input type=\"hidden\" name=\"corder\" value=\""+栏目排序+"\" />"+
		"<input type=\"hidden\" name=\""+程序.设置["标识名称"]+
		"\" value=\""+访问.用户["标识"]+"\" />";
	生成文章正文();
		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml"">
<wml>
  <head>
    <meta http-equiv=""Cache-Control"" content=""no-cache""/>
  </head>
  <card id=""main"" title=""");
		返回值.Append(Server.HtmlEncode(文章内容["标题"].ToString()));
		返回值.Append(@"-");
		返回值.Append(Server.HtmlEncode(内容栏目["栏目名称"].ToString()));
		返回值.Append(@""">
    <p>");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"
");
		if(当前页==1)
		{
		返回值.Append(@"


    ");
		返回值.Append(Server.HtmlEncode(文章内容["标题"].ToString()));
		返回值.Append(@"<br/>
----------<br/>
");
		返回值.Append(时间格式==null?文章内容["发布时间"].ToString():Convert.ToDateTime(文章内容["发布时间"]).ToString(时间格式));
		返回值.Append(@"<br/>

");

		}
		返回值.Append(@"
");
		返回值.Append(Convert.ToBoolean(文章内容["是否UBB"])?常用.UBB转换(Server.HtmlEncode(文章正文),访问.用户):Server.HtmlEncode(文章正文).Replace("\r\n","<br/>"));
		返回值.Append("<br/>");
		if(总页数<2)
		{
		}
		else if(是否余下全部==1)
		{
		}
		else
		{
		返回值.Append(@"----------<br/>
");
		返回值.Append(下页代码RAGKE5IX());
		返回值.Append(@"
");
		返回值.Append(上页代码U5K7A8DF());
		返回值.Append(@"
");
		返回值.Append(余下全部6BWWDXRD());
		返回值.Append(@"
");
		返回值.Append(当前页);
		返回值.Append(@"/");
		返回值.Append(总页数);
		返回值.Append(@"页<br/>
<input type=""text"" name=""page"" format=""*N"" value=""2"" size=""2"" /><anchor><go href=""");
		返回值.Append(当前页面);
		返回值.Append(@""" method=""get"">");
		返回值.Append(跳页表单项);
		返回值.Append(@"<postfield name=""page"" value=""$(page)"" /></go>跳转</anchor><br/>");
		}
		返回值.Append(@"

");
		上下文章3MUFK9LG();
		返回值.Append(@"
");
		上下文章3WY2845M();
		返回值.Append(@"

");
		if(!Convert.ToBoolean(文章内容["是否关闭评论"]))
		{
		返回值.Append(@"
<input type=""text"" name=""CommentText"" maxlength=""250"" /><br/>
<anchor><go href=""/UUN WAP CMS 3.1/Comment_Save.aspx?CID=");
		返回值.Append(文章内容["所属栏目"]);
		返回值.Append(@"&amp;ID=");
		返回值.Append(文章内容["ID"]);
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""" method=""post""><postfield name=""CommentText"" value=""$(CommentText)"" /></go>[发表评论]</anchor><br/>
");
		评论列表8PFI4XHS();
		返回值.Append(@"

");
		if(Convert.ToInt32(文章内容["评论数"])>0)
		{
		返回值.Append(@"
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Comment.aspx?CID="+栏目ID+"&ID="+文章内容["ID"],访问.用户["标识"].ToString())));
		返回值.Append(@""">更多评论(");
		返回值.Append(文章内容["评论数"]);
		返回值.Append(@")</a><br/>

");

		}
		返回值.Append(@"

");

		}
		返回值.Append(@"

");
		DataSet 数据9SYEPW75=(DataSet)Application["UUN_UUN3G_NeiRongLanMu"];
		返回值.Append(生成上级栏目列表代码9SYEPW75(数据9SYEPW75,栏目ID));
		返回值.Append(@"
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a><br/>

");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"
    </p>
  </card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
	private String 当前页面;
	//参数
	private new int ID;
	private int 栏目页码;
	private int 栏目排序;
	private int 栏目ID;
	private int 是否余下全部;
	//其它
	private String 跳页表单项;
	private String _3G跳页表单项;
	private String 查询条件="";
	private String 文章正文;
	private Hashtable 文章内容;
	private DataRow 内容栏目;
	private String 查询字段;
	//设置
	private String 时间格式;
	private String 范围ID;
	//列表分页
	private int 当前页;
	private int 总页数;
	private int 总记录数;
	private int 一页显示记录;
	private String 列表跳页(int 页码)
	{
		return Server.HtmlEncode(常用.处理地址(当前页面+"?CID="+栏目ID+"&ID="+ID+
			"&cpage="+栏目页码+"&corder="+栏目排序+"&page="+页码+"&yx=0",访问.用户["标识"].ToString()));
	}
	private Hashtable 获取文章内容()
	{
		SqlCommand 语句=new SqlCommand("UPDATE ["+程序.数据表前缀+"内容_文章_文章] SET "+
			"[点击数]=[点击数]+1,"+
			"[日点击数]=[日点击数]+1,"+
			"[周点击数]=[周点击数]+1 WHERE [是否删除]=@是否删除"+(ID==0?"":" AND [ID]="+ID),访问.连接);
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;
		语句.ExecuteNonQuery();

		语句=new SqlCommand("SELECT "+查询字段+" FROM ["+程序.数据表前缀+"内容_文章_文章] WHERE [是否删除]=@是否删除"+(ID==0?"":" AND [ID]="+ID),访问.连接);
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;

		Hashtable 返回值=常用.SQL_获取(语句);

		if(返回值==null)
			throw new Exception("内容不存在");

		int 内容模板=Convert.ToInt32(返回值["内容模板"]);

			if(File.Exists("~/Template/Content/"+程序.设置["默认模板"]+"/Content_Aspx/"+内容模板+".aspx"))
				Server.Transfer("~/Template/Content/"+程序.设置["默认模板"]+"/Content_Aspx/"+内容模板+".aspx");


		常用.应用内容权限(返回值,"文章",访问);

		ID=Convert.ToInt32(返回值["ID"]);

		return 返回值;
	}
	private DataRow 获取内容栏目()
	{
		DataRow 返回值=null;
		DataSet 内容栏目=(DataSet)Application["UUN_UUN3G_NeiRongLanMu"];
		for(int i=0;i<内容栏目.Tables[0].Rows.Count;i++)
		{
			DataRow 行=内容栏目.Tables[0].Rows[i];
			if(Convert.ToInt32(行["ID"])==栏目ID)
				返回值=行;
		}

		if(返回值==null)
			throw new Exception("内容栏目不存在");

		return 返回值;
	}
	private void 生成文章正文()
	{
		当前页=Convert.ToInt32(Request.QueryString["page"]);
		String 文章正文内容=File.ReadAllText(Server.MapPath(程序.安装位置+"Data/DT_WenZhang/"+(ID/500)+"/"+ID+".txt"),Encoding.UTF8);
		总记录数=文章正文内容.Length;
		if(Convert.ToBoolean(文章内容["是否手动分页"]))
		{
			String[] 文章正文数组=文章正文内容.Split(new String[]{"{$page$}"},StringSplitOptions.RemoveEmptyEntries);
			总页数=文章正文数组.Length;
			当前页=常用.计算当前页(总页数,当前页);
			if(是否余下全部==1)
			{
				for(int i=当前页-1;i<总页数;i++)
					文章正文+=文章正文数组[i];
			}
			else
				文章正文=文章正文数组[当前页-1];
		}
		else
		{
		    总页数=常用.计算总页数(总记录数,一页显示记录);
		    当前页=常用.计算当前页(总页数,当前页);
		    文章正文=常用.获取文章分页内容(文章正文内容,当前页,总页数,一页显示记录,是否余下全部==1);
		}
	}
	private String 生成余下全部地址()
	{
		return Server.HtmlEncode(常用.处理地址(当前页面+"?CID="+栏目ID+"&ID="+ID+
			"&cpage="+栏目页码+"&corder="+栏目排序+"&page="+(当前页+1)+"&yx=1",访问.用户["标识"].ToString()));
	}

		private String 下页代码RAGKE5IX()
		{
			String 返回值="";
			int 页数=当前页+1;
			if(当前页<总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">下页</a>";

			}
			else
			{

			}

			return 返回值;
		}

		private String 上页代码U5K7A8DF()
		{
			String 返回值="";
			int 页数=当前页-1;
			if(当前页>1)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">上页</a>";

			}
			else
			{

			}

			return 返回值;
		}

	private String 余下全部6BWWDXRD()
	{
		String 返回值="";
		if(Request.QueryString["yx"]=="1")
		{

		}
		else
		{
			if(当前页<总页数)
			{
				返回值+=@"<a href=""";
				返回值+=生成余下全部地址();
				返回值+=@""">余下全部</a>";

			}
		}
		return 返回值;
	}
	private void 上下文章3MUFK9LG()
	{
		String SQL="SELECT [ID],[所属栏目],[外部链接],[标题],[标题样式_粗体],[标题样式_斜体],[标题样式_删除线],[标题样式_颜色] FROM ["+程序.数据表前缀+"内容_文章_文章] WHERE [是否审核]=@是否审核 AND [是否删除]=@是否删除";
		if(范围ID!=""&&范围ID!=null)
		{
			String[] 范围ID数组=范围ID.Split(new char[]{'|'},StringSplitOptions.RemoveEmptyEntries);
			SQL+=" AND (";
			for(int i=0;i<范围ID数组.Length;i++)
				if(i==0)
					SQL+="[所属栏目]="+范围ID数组[i];
				else
					SQL+=" OR [所属栏目]="+范围ID数组[i];
			SQL+=")";
		}
		else
			SQL+=" AND [所属栏目]="+栏目ID;
		SQL+=" AND [ID]>"+ID+" ORDER BY [ID]";
		SqlCommand 语句=new SqlCommand(SQL,访问.连接);
		语句.Parameters.Add("@是否审核",SqlDbType.Bit).Value=false;
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;
		SqlDataReader 行=语句.ExecuteReader();
		if(行.Read())
		{
				返回值.Append(@"<a href=""");
				返回值.Append(行["外部链接"].ToString()!=""?Server.HtmlEncode(常用.处理地址(行["外部链接"].ToString(),访问.用户["标识"].ToString())):Server.HtmlEncode(常用.处理地址(程序.安装位置+"Content.aspx?CID="+栏目ID+"&ID="+行["ID"],访问.用户["标识"].ToString())));
				返回值.Append(@""">&gt;");
				返回值.Append(常用.标题样式(行["标题"].ToString(),Convert.ToBoolean(行["标题样式_粗体"]),Convert.ToBoolean(行["标题样式_斜体"]),Convert.ToBoolean(行["标题样式_删除线"]),Convert.ToString(行["标题样式_颜色"]),0));
				返回值.Append(@"</a><br/>");
		}
		else
		{
			返回值.Append(@"");
		}
		行.Close();
	}
	private void 上下文章3WY2845M()
	{
		String SQL="SELECT [ID],[所属栏目],[外部链接],[标题],[标题样式_粗体],[标题样式_斜体],[标题样式_删除线],[标题样式_颜色] FROM ["+程序.数据表前缀+"内容_文章_文章] WHERE [是否审核]=@是否审核 AND [是否删除]=@是否删除";
		if(范围ID!=""&&范围ID!=null)
		{
			String[] 范围ID数组=范围ID.Split(new char[]{'|'},StringSplitOptions.RemoveEmptyEntries);
			SQL+=" AND (";
			for(int i=0;i<范围ID数组.Length;i++)
				if(i==0)
					SQL+="[所属栏目]="+范围ID数组[i];
				else
					SQL+=" OR [所属栏目]="+范围ID数组[i];
			SQL+=")";
		}
		else
			SQL+=" AND [所属栏目]="+栏目ID;
		SQL+=" AND [ID]<"+ID+" ORDER BY [ID] DESC";
		SqlCommand 语句=new SqlCommand(SQL,访问.连接);
		语句.Parameters.Add("@是否审核",SqlDbType.Bit).Value=false;
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;
		SqlDataReader 行=语句.ExecuteReader();
		if(行.Read())
		{
				返回值.Append(@"<a href=""");
				返回值.Append(行["外部链接"].ToString()!=""?Server.HtmlEncode(常用.处理地址(行["外部链接"].ToString(),访问.用户["标识"].ToString())):Server.HtmlEncode(常用.处理地址(程序.安装位置+"Content.aspx?CID="+栏目ID+"&ID="+行["ID"],访问.用户["标识"].ToString())));
				返回值.Append(@""">&lt;");
				返回值.Append(常用.标题样式(行["标题"].ToString(),Convert.ToBoolean(行["标题样式_粗体"]),Convert.ToBoolean(行["标题样式_斜体"]),Convert.ToBoolean(行["标题样式_删除线"]),Convert.ToString(行["标题样式_颜色"]),0));
				返回值.Append(@"</a><br/>");
		}
		else
		{
			返回值.Append(@"");
		}
		行.Close();
	}
	private void 评论列表8PFI4XHS()
	{
		SqlCommand 语句=new SqlCommand("SELECT [ID],[楼数],[评论用户昵称],[评论内容] FROM ["+程序.数据表前缀+"内容_评论] WHERE [内容ID]="+ID+" AND [内容类型]='文章' ORDER BY [发表时间] DESC",访问.连接);
		DataSet 数据=new DataSet();
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(数据,0,5,"表");
		if(数据.Tables[0].Rows.Count<1)
			返回值.Append(@"");
		for(int i=0;i<数据.Tables[0].Rows.Count;i++)
		{
			DataRow 行=数据.Tables[0].Rows[i];
			返回值.Append(@"");
			返回值.Append(行["楼数"].ToString());
			返回值.Append(@".");
			返回值.Append(Server.HtmlEncode(行["评论用户昵称"].ToString()));
			返回值.Append(@":");
			返回值.Append(Server.HtmlEncode(常用.截取字符串(行["评论内容"].ToString(),50)));
			返回值.Append(@"<br/>");
		}
	}
	private String 生成上级栏目列表代码9SYEPW75(DataSet 数据,int ID)
	{
		if(ID!=0)
		{
			String 返回值="";
			String 栏目名称="";
			int 上级栏目=0;
			for(int i=0;i<数据.Tables[0].Rows.Count;i++)
			{
				DataRow 行=数据.Tables[0].Rows[i];
				if(Convert.ToInt32(行["ID"])==ID)
				{
					栏目名称=Convert.ToString(行["栏目名称"]);
					上级栏目=Convert.ToInt32(行["所属栏目"]);
				}
			}
				返回值+=@"<a href=""";
				返回值+=Server.HtmlEncode(常用.处理地址(程序.安装位置+"Column.aspx?ID="+ID,访问.用户["标识"].ToString()));
				返回值+=@""">返回";
				返回值+=Server.HtmlEncode(栏目名称);
				返回值+=@"</a><br/>";
				return 返回值+生成上级栏目列表代码9SYEPW75(数据,上级栏目);
		}
		else
		{
			return "";
		}
	}
	private int 获取一页显示记录数()
	{
		return 访问.获取一页显示文字数();

	}
	private String 获取范围ID()
	{
		return null;

	}
	private String 获取时间格式()
	{
		return @"yyyy年MM月dd日 HH:mm:ss";

	}
	private String 获取查询字段()
	{
		return @"[ID],[所属栏目],[标题],[是否推荐],[是否审核],[外部链接],[是否手动分页],[是否UBB],[是否关闭评论],[权限_仅限会员],[权限_需要等级],[权限_扣除积分],[内容模板],[发布时间],[评论数]";

	}
}